﻿.imageHauler {
   width: 15px;
   height: 30px;
   margin-left: -2px; /* -x */
   margin-top: -20px;
}

.imageAtenna {
   height: 30px;
   margin-left: -2px; /* -x */
   margin-top: -20px;
}

.imageLoader {
   width: 20px;
   height: 50px;
   margin-left: -10px; /* -x */
   margin-top: -37px;
}

.custom-yellow-dot {
    background-color: blue;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    border: 2px solid yellow;
}

.custom-orange-dot {
    background-color: blue;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    border: 2px solid orange;
}

.custom-red-dot {
    background-color: blue;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    border: 2px solid red; /* Added red border */
}

.divMarker {
   background: red;
}

.labelUnit {
   font-size: 12px;
   font-weight: bold;
   color: white;
   text-shadow: 1px 1px 2px black, 0 0 1em blue, 0 0 0.2em blue;
   margin-left: -17px;
   /*width: 400px;*/
   position: absolute;
   top: 12px;
}

.labelAtenna {
   width: 200px;
   font-size: 12px;
   font-weight: bold;
   color: white;
   text-shadow: 1px 1px 2px black, 0 0 1em blue, 0 0 0.2em blue;
   margin-left: -40px;
   /*width: 400px;*/
   position: absolute;
   top: 22px;
}

.labelFront {
   font-size: 10px;
   font-weight: bold;
   color: white;
   text-shadow: 1px 1px 2px black, 0 0 1em blue, 0 0 0.2em blue;
   margin-left: -14px;
   /*/*margin-top: -41px;*/ /* -y */
}
/*.select2-container {
    z-index: 100000;
}*/

.div-shadow {
   box-shadow: -1px -1px 68px -14px rgba(0, 0, 0, 0.68);
   -webkit-box-shadow: -1px -1px 68px -14px rgba(0, 0, 0, 0.68);
   -moz-box-shadow: -1px -1px 68px -14px rgba(0, 0, 0, 0.68);
}

.leaflet-container {
   background-color: #fff !important;
}

svg.leaflet-zoom-animated {
   z-index: 1010;
}

.leaflet-map-pane svg {
   z-index: 2000;
}

.floating-button {
   position: fixed;
   bottom: 50px;
   right: 50px;
   /*box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.25);*/
}


.label div {
    position: relative;
    left: -50%;
    top: 10px;
    font-size: 24px; /* Increase text size */
    color: black; /* Set the text color to black */
    -webkit-text-stroke: 1px white; /* Increased stroke effect */
    text-shadow: none; /* Remove text shadow */
}

.label-point div {
    position: relative;
    left: -50%;
    top: 20px;
    font-size: 8px; /* Increase text size */
    color: white; /* Set the text color to white */
    -webkit-text-stroke: 0; /* Remove stroke effect */
    text-shadow: none; /* Remove text shadow */
    white-space: nowrap; /* Prevent text from wrapping into multiple lines */
    background-color: black; /* Set background color to black */
    padding: 4px 8px; /* Increase padding */
    border-radius: 3px; /* Added border radius to give a rounded rectangle effect */
}

.img-HAULER {
    width: 15px;
    height: 30px;
    margin-left: 7px;
    margin-top: 0;
}

.img-LOADER {
    width: 20px;
    height: 50px;
    margin-left: 2px;
    margin-top: 0;
}

.img-GRADER {
    width: 18px;
    height: 36px;
    margin-left: 2px;
    margin-top: 0;
}

.label-HAULER {
    font-size: 12px;
    font-weight: bold;
    color: white;
    text-shadow: 1px 1px 2px black, 0 0 1em blue, 0 0 0.2em blue;
    margin-left: -5px;
    margin-top: 14px;
    position: absolute;
    top: 12px;
}

.label-GRADER {
    font-size: 12px;
    font-weight: bold;
    color: white;
    text-shadow: 1px 1px 2px black, 0 0 1em blue, 0 0 0.2em blue;
    margin-left: -8px;
    margin-top: 14px;
    position: absolute;
    top: 20px;
}

.label-LOADER {
    font-size: 12px;
    font-weight: bold;
    color: white;
    text-shadow: 1px 1px 2px black, 0 0 1em blue, 0 0 0.2em blue;
    margin-left: -5px;
    margin-top: 35px;
    position: absolute;
    top: 12px;
}
